aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/ebuild/exheres-0/builtin_init.bash')
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_init.bash6
1 files changed, 6 insertions, 0 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
index 92cf00a..daab9be 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
@@ -73,6 +73,12 @@ builtin_init()
ebuild_load_em_up_dan
+ for a in ${PALUDIS_EBUILD_FUNCTIONS}; do
+ [[ $(type -t ${a}) == function ]] || continue
+ a="$(declare -f ${a})"
+ eval "${a/{/{ verify_not_called_cross_phase}"
+ done
+
for a in PALUDIS_NON_EMPTY_VARIABLES ${PALUDIS_NON_EMPTY_VARIABLES} ; do
a=${a#build:}
[[ -z "${!a}" ]] && die "\$${a} unset or empty"